---

#! /lkp/lkp/src/jobs/vm-scalability.yaml
suite: vm-scalability
testcase: vm-scalability
category: benchmark
perf-profile:
runtime: 300s
size:
vm-scalability:
  test: small-allocs-mt
job_origin: vm-scalability.yaml

#! queue options
queue_cmdline_keys: []
queue: vip
testbox: lkp-spr-2sp4
tbox_group: lkp-spr-2sp4
branch: willy-pagecache/vma-lock
commit: 06d7da17eb40ba4d1b68f894ee16a8df78a4442f
kconfig: x86_64-rhel-8.3
job_file: "/lkp/jobs/scheduled/lkp-spr-2sp4/vm-scalability-performance-300s-small-allocs-mt-debian-12-x86_64-20240206.cgz-06d7da17eb40-20240425-17980-lh3ipv-0.yaml"
id: 60f770c3a8954f5bf1a0dc6524c7ceaec2d71de3
queuer_version: "/lkp/xsang/.src-20240425-125649"

#! hosts/lkp-spr-2sp4
model: Sapphire Rapids
nr_node: 2
nr_cpu: 224
memory: 512G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX248100CW1P9BGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX248100CW1P9BGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX248100CW1P9BGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX248100CW1P9BGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x6ef1b014
brand: Intel(R) Xeon(R) Platinum 8480CTDX

#! include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- BLK_DEV_LOOP
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:

#! include/category/ALL
cpufreq_governor: performance
sanity-check:

#! include/vm-scalability

#! include/testbox/lkp-spr-2sp4
ucode: '0x2b0004b1'
rootfs: debian-12-x86_64-20240206.cgz
enqueue_time: 2024-04-25 14:54:18.901004505 +08:00
compiler: gcc-13
_rt: "/result/vm-scalability/performance-300s-small-allocs-mt/lkp-spr-2sp4/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/06d7da17eb40ba4d1b68f894ee16a8df78a4442f"
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-13/06d7da17eb40ba4d1b68f894ee16a8df78a4442f/vmlinuz-6.9.0-rc3-00070-g06d7da17eb40"
result_root: "/result/vm-scalability/performance-300s-small-allocs-mt/lkp-spr-2sp4/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/06d7da17eb40ba4d1b68f894ee16a8df78a4442f/0"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240422-191016"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/vm-scalability/performance-300s-small-allocs-mt/lkp-spr-2sp4/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/06d7da17eb40ba4d1b68f894ee16a8df78a4442f/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-13/06d7da17eb40ba4d1b68f894ee16a8df78a4442f/vmlinuz-6.9.0-rc3-00070-g06d7da17eb40
- branch=willy-pagecache/vma-lock
- job=/lkp/jobs/scheduled/lkp-spr-2sp4/vm-scalability-performance-300s-small-allocs-mt-debian-12-x86_64-20240206.cgz-06d7da17eb40-20240425-17980-lh3ipv-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=06d7da17eb40ba4d1b68f894ee16a8df78a4442f
- nmi_watchdog=0
- intremap=posted_msi
- acpi_rsdp=0x6ef1b014
- max_uptime=2100
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-13/06d7da17eb40ba4d1b68f894ee16a8df78a4442f/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240303.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-04b8076df253-1_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/vm-scalability_20240303.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/vm-scalability-x86_64-6f4ef16-0_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-443ade20-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240425150802/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-spr-2sp4/vm-scalability-performance-300s-small-allocs-mt-debian-12-x86_64-20240206.cgz-06d7da17eb40-20240425-17980-lh3ipv-0.cgz"
dequeue_time: 2024-04-25 15:24:13.052557826 +08:00
last_kernel: 6.9.0-rc3-00069-gb6adf494d783
acpi_rsdp: '0x6ef1b014'
job_state: finished
loadavg: 28.58 95.10 55.24 1/1970 18357
start_time: '1714029929'
end_time: '1714030274'
version: "/lkp/lkp/.src-20240422-191054:5c0b7984a98d:785280a44f15"
